summaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2019-11-18 19:21:53 +0100
committerLiang Qi <liang.qi@qt.io>2019-11-18 19:21:53 +0100
commit6d7ae7ebe1c67bb7264f768eb7050b6355bc6638 (patch)
tree081f8d1dec8148d79ea747cd5877923d8188218d /coin
parentd8eaed9b0987c32ad62b92565933bd80a83e5f92 (diff)
parent4728ffb6200846145e9bfb5d0d6713698921ffc7 (diff)
Merge remote-tracking branch 'origin/5.13' into 5.14
Conflicts: coin/provisioning/common/linux/docker.sh Change-Id: Ic5c3fcaa856137de46c6f3830ca75cedb084927d
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/common/linux/docker.sh41
-rwxr-xr-xcoin/provisioning/common/unix/DownloadURL.sh9
-rw-r--r--coin/provisioning/common/windows/install_telegraf.ps12
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh4
-rw-r--r--coin/provisioning/qtci-windows-7-x86/09-openssl.ps18
5 files changed, 48 insertions, 16 deletions
diff --git a/coin/provisioning/common/linux/docker.sh b/coin/provisioning/common/linux/docker.sh
index 9be84e38..9ce8b73b 100755
--- a/coin/provisioning/common/linux/docker.sh
+++ b/coin/provisioning/common/linux/docker.sh
@@ -33,21 +33,40 @@
##
#############################################################################
-set -ex
-
-# Download and install the docker engine.
-sudo apt-get install curl -y
-curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
-sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"
-sudo apt-get update
-sudo apt-get install docker-ce -y
+set -e
+
+
+. $(dirname "$0")/../../common/unix/DownloadURL.sh
+
+
+localRepo=http://ci-files01-hki.intra.qt.io/input/docker
+upstreamRepo=https://download.docker.com/linux/ubuntu/dists/bionic/pool/stable/amd64
+
+echo '
+ f4c941807310e3fa470dddfb068d599174a3daec containerd.io_1.2.10-3_amd64.deb
+ ee640d9258fd4d3f4c7017ab2a71da63cbbead55 docker-ce_19.03.4~3-0~ubuntu-bionic_amd64.deb
+ 09402bf5dac40f0c50f1071b17f38f6584a42ad1 docker-ce-cli_19.03.4~3-0~ubuntu-bionic_amd64.deb
+' \
+ | xargs -n2 | while read sha f
+do
+ DownloadURL $localRepo/$f $upstreamRepo/$f $sha
+done
+
+sudo apt-get -y install ./containerd.io*.deb ./docker-ce*.deb ./docker-ce-cli*.deb
+rm -f ./containerd.io*.deb ./docker-ce*.deb ./docker-ce-cli*.deb
+
sudo usermod -a -G docker $USER
sudo docker --version
-# Download and install the docker-compose extension.
-sudo curl -L https://github.com/docker/compose/releases/download/1.21.0/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
-sudo chmod +x /usr/local/bin/docker-compose
+# Download and install the docker-compose extension from https://github.com/docker/compose/releases
+f=docker-compose-$(uname -s)-$(uname -m)
+DownloadURL \
+ $localRepo/$f \
+ https://github.com/docker/compose/releases/download/1.24.1/$f \
+ cfb3439956216b1248308141f7193776fcf4b9c9b49cbbe2fb07885678e2bb8a
+sudo install -m 755 ./docker-compose* /usr/local/bin/docker-compose
sudo docker-compose --version
+rm ./docker-compose*
# Install Avahi to discover Docker containers in the test network
sudo apt-get install avahi-daemon -y
diff --git a/coin/provisioning/common/unix/DownloadURL.sh b/coin/provisioning/common/unix/DownloadURL.sh
index ac1fd971..5bafc33d 100755
--- a/coin/provisioning/common/unix/DownloadURL.sh
+++ b/coin/provisioning/common/unix/DownloadURL.sh
@@ -89,7 +89,14 @@ DownloadURL () {
url=$1
url2=$2
expectedHash=$3
- targetFile=$4
+ # Optional argument $4: destination filename
+ if [ x"$4" = x ]
+ then
+ # defaults to the last component of $url
+ targetFile=$(echo $url | sed 's|^.*/||')
+ else
+ targetFile=$4
+ fi
if VerifyHash "$targetFile" "$expectedHash"
then
diff --git a/coin/provisioning/common/windows/install_telegraf.ps1 b/coin/provisioning/common/windows/install_telegraf.ps1
index 258c6c59..fee550b1 100644
--- a/coin/provisioning/common/windows/install_telegraf.ps1
+++ b/coin/provisioning/common/windows/install_telegraf.ps1
@@ -49,7 +49,7 @@ if (Is64BitWinHost) {
$filename = "telegraf-" + $version + "_windows_" + $arch + ".zip"
-$url_cache = "\\ci-files01-hki.intra.qt.io\provisioning\windows\" + $filename
+$url_cache = "http://ci-files01-hki.intra.qt.io/input/telegraf/" + $filename
$url_official = "https://dl.influxdata.com/telegraf/releases/" + $filename
$tempfile = "C:\Windows\Temp\" + $filename
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
index e7cf5c3d..89b1eb7f 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
@@ -46,6 +46,10 @@ for service in apt-daily.timer apt-daily-upgrade.timer apt-daily.service apt-dai
done
function set_internal_repo {
+
+ # Stop fetching the dep-11 metadata, since our mirrors do not handle them well
+ sudo mv /etc/apt/apt.conf.d/50appstream{,.disabled}
+
sudo tee "/etc/apt/sources.list" > /dev/null <<-EOC
deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu/ bionic main restricted universe multiverse
deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu/ bionic-updates main restricted universe multiverse
diff --git a/coin/provisioning/qtci-windows-7-x86/09-openssl.ps1 b/coin/provisioning/qtci-windows-7-x86/09-openssl.ps1
index f90938c4..269771c7 100644
--- a/coin/provisioning/qtci-windows-7-x86/09-openssl.ps1
+++ b/coin/provisioning/qtci-windows-7-x86/09-openssl.ps1
@@ -43,10 +43,10 @@
# nmake install
-$version = "1.1.1b"
+$version = "1.1.1d"
$zip = Get-DownloadLocation ("openssl-$version.7z")
-$sha1 = "7afba53ab984cecb54a1915c135cbb2a20c6b576"
-$url = "http://ci-files01-hki.intra.qt.io/input/openssl/openssl_${version}_prebuild_x86.7z"
+$sha1 = "2bf9379c4cea81858c4288cf06cc3444996bcad5"
+$url = "http://ci-files01-hki.intra.qt.io/input/openssl/openssl_${version}_prebuild_x86_windows7_msvc2010.zip"
Download $url $url $zip
Verify-Checksum $zip $sha1
@@ -55,6 +55,8 @@ $installFolder = "C:\openssl"
Extract-7Zip $zip "C:\"
Remove-Item -Path $zip
+Move-Item -Path C:\openssl_${version}_prebuild_x86_windows7_msvc2010 -Destination C:\openssl
+
Set-EnvironmentVariable "OPENSSL_CONF_x86" "$installFolder\openssl.cnf"
Set-EnvironmentVariable "OPENSSL_INCLUDE_x86" "$installFolder\include"
Set-EnvironmentVariable "OPENSSL_LIB_x86" "$installFolder\lib"